* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html,
body {
  height: 100%;
  width: 100%;
}
:root {
  /* Background color*/
  --bg-primary-color: #0c0c0c;
  --bg-fill-color:rgb(18, 114, 22);
  --bg-fill-shadow-color:rgb(88, 255, 94);
  --bg-food-color:red;

  /* Text Color */
  --text-primary-color: #f0f0f0;

  /* Spacing variable */
  --space-xs: 4px;
  --space-sm: 8px;
  --space-md: 16px;
  --space-lg: 24px;
  --space-xl: 32px;
  --space-2xl: 40px;
  --space-3xl: 48px;

  /* Border colors */
  --border-primary-color: #333333;

  /* Border Radius */
  --border-radius-xs: 4px;
  --border-radius-sm: 8px;
  --border-radius-md: 12px;
  --border-radius-lg: 16px;
  --border-radius-xl: 20px;
  --border-radius-2xl: 24px;
}

html {
  background-color: var(--bg-primary-color);
  color: var(--text-primary-color);
  font-family:
    system-ui,
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Roboto,
    Oxygen,
    Ubuntu,
    Cantarell,
    "Open Sans",
    "Helvetica Neue",
    sans-serif;
}

main,
section {
  width: 100%;
  height: 100%;
}

.btn{
  padding: var(--space-sm) var(--space-md);
  border: none;
  border-radius: var(--border-radius-sm);
  pointer-events: cursor;
  transition: all 0.3s ease;
}
.btn:hover{
  transform: scale(1.1);
}

section {
  padding: var(--space-2xl);
  display: flex;
  flex-direction: column;
  height: 100%;
  gap: var(--space-lg);
}
section .infos {
  width: 100%;
  display: flex;
  justify-content: space-between;
}
.info {
  border: 2px solid var(--border-primary-color);
  padding: var(--space-sm) var(--space-md);
  border-radius: var(--border-radius-sm);
}

.board {
  border: 1px solid var(--border-primary-color);
  flex-grow: 1; /*parent ke under jeetna bhi space khali hai woh occupy karlo*/
  display: grid;
  grid-template-columns: repeat(auto-fill,minmax(40px,1fr)); /* har column ka size 30px hoga or tab tak yeh 30px ke column bante rahenge jab tak woh parent ko pura cover na kar le . Or agar 30px kam ka space bacha last mein toh column next line mein chala jayega*/
  grid-template-rows: repeat(auto-fill,minmax(40px,1fr)); /*minmax matlab minimum value 30px hoga or maximum value hogi 1fr i.e. 1 fraction*/
}


.block {
    /* width: 30px;
    height: 30px; */
    border: 1px solid var(--border-primary-color);
    /* flex-shrink:0; flex-shrink is a child property */
    border-radius: 50%;
}

.fill{
  background-color: var(--bg-fill-color);
  box-shadow: 2px 2px 30px var(--bg-fill-shadow-color);
}
.food{
  background-color: var(--bg-food-color);
}

.modal{
  height: 100vh;
  width: 100vw;
  position: fixed;
  top: 0;
  background-color: #35353587 ;
  backdrop-filter: blur(4px);
  display: flex;
  align-items: center;
  justify-content: center;

}
.modal .start-game,
.modal .game-over{
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: var(--space-lg);
}
.modal .game-over{
  display: none;
}
